<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio 14-3</title>
</head>
<body>
    <form >
        <input type="number" placeholder="valor ..." id="valor">
        <input type="button" onclick="agregar()" value="Agregar">
        <input type="button" onclick="deshacer()" value="Deshacer">
        <p id="resultado"></p> 
        <p id="array"></p>
        <p id="quitanro"></p>
        <ul id="lista">  
            </ul>
    </form>
    <script>
/*Crear un formulario con un input type number y un botón para agregar y uno deshacer (quita el último elemento del array).
El usuario puede cargar hasta 4 números positivos que se van agregando en un array.
Mostrar mensaje de éxito en verde en caso de agregado correcto y mostrar en una lista lo que contiene el array.
Si el usuario toca el botón deshacer: mostrar un mensaje con el número que se quitó, y refrescar la lista en pantalla.
Mostrar mensaje en rojo explicando el error en los siguientes casos: si el usuario quiere agregar un numero no positivo,
si se superó el límite máximo del array, si el array queda vacío y se toca de nuevo deshacer .
mostrar los elementos dentro de un ul como un li cada uno (tendrías que acumular, 
recorrer y agregar en el ul los li con innerHTML cada vez). */

var numeros=[];
n=0;
flag=false;

function agregar(){
     var n = parseInt(document.getElementById('valor').value);
    console.log(flag) 
    console.log(n)
    if(numeros.length == 4){
        document.getElementById("resultado").style.color ="red";
        document.getElementById("resultado").innerHTML ="Mensaje de Error : Supero la cantidad MAX :"+ numeros.length;

        flag=true
    }else if(typeof(n) == "number" && n > 0 && flag ==false ){
        numeros.push(n)
        document.getElementById("resultado").style.color ="green";
        document.getElementById("resultado").innerHTML ="Mensaje de EXITO"
        document.getElementById("array").innerHTML = "Array :"+numeros;
        for (var n=0 in numeros){
                myUl = document.getElementById("lista");
                var el = document.createElement("li");
                el.append(numeros[n])
                    console.log(el)
                }
                    myUl.append(el)

    }else{
        document.getElementById("resultado").style.color ="red";
        document.getElementById("resultado").innerHTML ="Mensaje de ERROR: No es Positivo"
    }
    
       console.log (  "Array numeros "+ numeros)
 
}
function deshacer(){
    var n = parseInt(document.getElementById('valor').value);
    var vacio=numeros.length == 0
    
    if(vacio == false ){
        var quitanro= numeros.pop(n.length-1)
        console.log( "El numero que se quito :"+ quitanro)
        document.getElementById("resultado").style.color ="green";
        document.getElementById("resultado").innerHTML ="Mensaje de EXITO : Se quito correctamente"
        document.getElementById("quitanro").innerHTML = "Se quito el siguiente NRO :"+ quitanro;
        document.getElementById("array").innerHTML = "Array :"+ numeros;
        document.getElementById("lista").style.display = "none";
        
        flag=false

    } else {
        document.getElementById("resultado").style.color ="red";
        document.getElementById("resultado").innerHTML ="Mensaje de Error : No se puede esta vacio"
        document.getElementById("quitanro").innerHTML = " "
        document.getElementById("array").innerHTML = " "
        document.getElementById("valor").value = "";
        document.getElementById("lista").style.display = "none";

        flag=false

    }
    console.log (  "Array numeros "+ numeros)
}

    </script>
</body>
</html>